import React from 'react'
import '../../Css/Visualiser.css'
//import Graph from './Graph';
//import { Barplot } from './Barplot';

import BarChart from './Barchart';
const Visualiser = ({Regiondata}) => {
   // The Visualiser component receives `Regiondata` as a prop, 
   // which contains information about a specific region.

  return (

    <div className="Visualiser">
      {/* Header for the Visualiser component */}
      <h2> Visualiser </h2>
      {/* Display the label of the region */}
      <h2> LÄN: {Regiondata.label} </h2>
      {/* Display the ID of the region */}
      <h2> LÄNSKOD: {Regiondata.id} </h2>
    
    {/* Container for the data visualization */}
    <div className='table'>
      {/* Render the BarChart component, passing the region ID as a prop */}
      <BarChart selectedKey={Regiondata.id}/>
      </div>
    </div>
    
  );
}

export default Visualiser;